Package: org.codehaus.groovy.ast

## [Java] Interface GroovyClassVisitor

- A special visitor for working with the structure of a class. In general, your will want to use the Abstract class based on this class ClassCodeVisitorSupport.

  See Also:
    ClassNode
    ClassCodeVisitorSupport
  Authors:
    James Strachan

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitClass(ClassNode node)` Visit a ClassNode.
    `` | `void` | `visitConstructor(ConstructorNode node)` Visit a ConstructorNode.
    `` | `void` | `visitField(FieldNode node)` Visit a FieldNode.
    `` | `void` | `visitMethod(MethodNode node)` Visit a MethodNode.
    `` | `void` | `visitProperty(PropertyNode node)` Visit a PropertyNode.

- - ### Method Detail

    - #### public void visitClass(ClassNode node)

      Visit a ClassNode.

    - #### public void visitConstructor(ConstructorNode node)

      Visit a ConstructorNode.

    - #### public void visitField(FieldNode node)

      Visit a FieldNode.

    - #### public void visitMethod(MethodNode node)

      Visit a MethodNode.

    - #### public void visitProperty(PropertyNode node)

      Visit a PropertyNode.